import SR6BaseItemData from '../base-item-data.mjs';

export default class SR6CritterpowerItemData extends SR6BaseItemData {
    static defineSchema() {
        const fields = foundry.data.fields;
        return {
            ...super.defineSchema(),
            duration: new fields.StringField({ initial: "instantaneous" }),
            action:   new fields.StringField({ initial: "" }),
            type:     new fields.StringField({ initial: "physical" }),
            range:    new fields.StringField({ initial: "self" })
        };
    }
}
